> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit a note



## OpenAPI

````yaml put /admin/notes/{note_id}/{program_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/notes/{note_id}/{program_id}:
    put:
      tags:
        - Notes
      summary: Edit a note
      operationId: e66a1dbdff64f84d2c2266d03a36080a
      parameters:
        - name: note_id
          in: path
          description: ID of the note
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: ID of the program
          required: true
          schema:
            type: string
            example: donor
      requestBody:
        description: Input data format
        required: true
        content:
          application/json:
            schema:
              properties:
                note:
                  type: string
                  example: This is a note.
                categories:
                  description: The note categories
                  type: string
                  example: ALL
                category_id:
                  type: integer
                  example: 1
                client_id:
                  type: string
                  example: '1'
                id:
                  description: The note id
                  type: integer
                  example: 1
                note_id:
                  type: integer
                  example: 1
                program_id:
                  type: string
                  example: donor
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Success message
                    type: string
                    example: Successful
                type: object
        '404':
          description: Note not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Error message
                    type: string
                    example: Note not found.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````